
\section{Cooccurrence sampling}
Computing cooccurrence is costly. We are interested in the evolution of the cooccurrence distribution over a certain number of graphs. The idea is to compute the cooccurrence only for specific pair of nodes.

The intuition is the following:
\begin{itemize}
  \item[a)] 2 nodes $u$ and $v$, both with low degree will almost always have an expected cooccurrence close to 0 and a small variance,
  \item[b)] 2 nodes $u$ and $v$, both with high degree will almost always have a high expected cooccurrence and a small variance,
  \item[c)] 2 nodes $u$ and $v$, both with medium degree will have the highest variance,
  \item[d)] nodes $u$ (high degree), node $v$ (low degree), will have a cooccurrence close to 1 and a small variance
  \item[d')] nodes $v$ (high degree), node $u$ (low degree), will have a cooccurrence close to 1 and a small variance
  \item cases e (e') and f (f') are intermediary cases. No intuition about them yet (although suspicion of lowe variance than c).
\end{itemize}

The idea is that for knowing how many graphs we need to generate looking at case c will be the more informative therefore sufficient.

\begin{figure}
  \input{schema/coocc_intuition}
  \caption{Different cases }
  \label{fig.intuition}
\end{figure}

\paragraph{Netflix 20k (good)}
\begin{itemize}
  \item Choose UAR 3 sets of nodes: x nodes with degree 10 (d10), x nodes with degree 100 (d100), x nodes with degree 1000 (d1000) (3x nodes in total)
  \item For each newly generated graph $G_i$, only computes $coocc(u,v)$ for all pair of nodes from the previously selected set ($u, v \in d10 \cup d100 \cup d1000$)
  \item compute descriptive statistics about cooccurence in the cases (a,b,c,d,e,f)
  \item intuition is right/wrong?
\end{itemize}

\paragraph{First results (100 samples)}
\begin{table}
  \begin{tabular}{c|c|c|c|}
    & $deg(v)=10$ & $deg(v)=100$ & $deg(v)=1000$ \\
    \hline
    $deg(u)=10$ & $0.0419$ & $0.363$ & $2.246$ \\
    \hline
    $deg(u)=100$ & ~ & $3.284$ & $22.073$ \\
    \hline
    $deg(v)=1000$ & ~ & ~ & $177.19$ \\
    \hline
  \end{tabular}
  \caption{Average value of $coocc_{100}$ (after 100 samples), in the Netflix 20k good dataset}
  \label{tbl.mean.coocc}
\end{table}

\begin{table}
  \begin{tabular}{c|c|c|c|}
    & $deg(v)=10$ & $deg(v)=100$ & $deg(v)=1000$ \\
    \hline
    $deg(u)=10$ & $0.201$ & $0.590$ & $1.294$ \\
    \hline
    $deg(u)=100$ & ~ & $1.859$ & $4.670$ \\
    \hline
    $deg(v)=1000$ & ~ & ~ & $11.954$ \\
    \hline
  \end{tabular}
  \caption{Standard deviation value of $coocc_{100}$ (after 100 samples), in the Netflix 20k good dataset}
  \label{tbl.mean.coocc}
\end{table}

\begin{figure}
  \includegraphics[scale=0.5]{img/variation_coefficient.png}
  \caption{Evoluton of the variation coefficient $\sigma/\mu$ for the different cases (a,b,c,d,e,f)}
  \label{fig.evo.var.coeff}
\end{figure}
